local uiCalls = require("ui.uicalls")
local checkpoint = require("level.checkpoint")
function OnSaveCheckpoint(level)
  local savedInfo = {}
  savedInfo.LevelState = checkpoint.Save()
  return savedInfo
end
function OnRestoreCheckpoint(level, savedInfo)
  checkpoint.Restore(savedInfo.LevelState)
end
function AreaAnnounce()
  uiCalls.UI_Event_DiscoverLocation("Sanctuary Grove")
end
function Riv455_Bookmark_FreyaIntroComplete()
  GameObjects.FreyaDoor:PlayAnimToEnd()
end
function OnEvaluateLoadGroup_Cinematic()
  if game.Level.GetVariable("CompletedCineNumber") <= 150 then
    return "WitchIntroConfig"
  elseif game.Level.GetVariable("CompletedCineNumber") > 150 and game.Level.GetVariable("CompletedCineNumber") < 370 then
    return "HeadEnchant"
  else
    return "Revisit"
  end
end
